Bug 89507 - Spelling mistakes in the french stations
Summary: Spelling mistakes in the french stations
Status: RESOLVED FIXED
Alias: None
Product: kweather
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: geiseri
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-14 18:02 UTC by Médéric Boquien
Modified: 2007-01-15 23:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Médéric Boquien 2004-09-14 18:02:44 UTC
Version:            (using KDE KDE 3.3.0)
Installed from:    Gentoo Packages

Hi. I found some mistakes in station names. 
- NantesAdlantic -> Nantes-Atlantique
- Nice-Coted'Azur -> Nice-Côte d'Azur
- Paris/Charles DeGaulle -> Paris/Charles de Gaulle
Moreover there seems to be problems with some spacing for the french stations (at least). It seems a space is present at the beginning of the name of some stations instead of being in the middle : " LeMans" for instance, when it should be "Le Mans". I checked the source and it seems to be correct (loc27=Le\\ Mans LFRM ------ ---), if "\\ " stands for a space.
I also noticed the accents are missing in all names. Is it a limitation of the program or were they just forgotten. If they are forgotten i can send you a patch with the accents.

Thank you for this very nice applet. It's really neat. I've been using it for years.
Comment 1 Martin Koller 2006-12-24 00:34:18 UTC
The program did not read the station names by using UTF-8 encoding, so it had no chance to correctly include the names of stations with non-ascii characters in it.
I changed the code now to handle this (reading in UTF-8), so I would be glad if you attach the corrections for the Names also with accents and please save your file in UTF-8 encoding.
Comment 2 Martin Koller 2006-12-24 21:16:20 UTC
I found the main problem to be the fact that the stations.dat file is a copy from http://weather.noaa.gov/data/nsd_cccc.gz which is a file containing only ASCII chars.
So I think even if we modify the current file, the next update from the main site will again overwrite the changes ... except one is very careful and has enough time to do a merge ...
Comment 3 Martin Koller 2007-01-15 23:17:08 UTC
SVN commit 623907 by mkoller:

BUG: 89507
BUG: 113779
BUG: 109461
BUG: 139888

add/correct some weather stations



 M  +2 -2      stations.dat  
 M  +22 -10    weather_stations.desktop  


--- branches/KDE/3.5/kdetoys/kweather/stations.dat #623906:623907
@@ -964,7 +964,7 @@
 EDDV;10;338;Hannover;;Germany;6;52-28N;009-41E;52-28N;009-42E;56;59;P
 EDDW;10;224;Bremen;;Germany;6;53-03N;008-48E;;;3;5;P
 EDFH;10;616;Hahn;;Germany;6;49-57N;007-16E;;;491;498;
-EDFM;10;729;Baden Wurttemberg, Neuostheim;;Germany;6;49-28-21N;008-30-56E;;;100;;
+EDFM;10;729;Baden Württemberg, Neuostheim;;Germany;6;49-28-21N;008-30-56E;;;100;;
 EDGS;--;---;Hessen;;Germany;6;50-42-28N;008-04-59E;;;602;;
 EDHI;10;149;Hamburg-Finkenwerder;;Germany;6;53-32N;009-50E;;;5;13;
 EDHK;--;---;Kiel / Holtenau Civilian;;Germany;;54-23N;010-10E;;;31;;
@@ -980,7 +980,7 @@
 EDQD;10;677;Bayreuth;;Germany;6;49-59N;011-38E;;;488;498;
 EDQM;10;685;Hof;;Germany;6;50-19N;011-53E;;;567;568;P
 EDRZ;--;---;Zweibrucken, Rheinland-Pfalz;;Germany;6;49-12-34N;007-24-04E;;;344;;
-EDSB;10;613;Karlsruhe, Baden W